Delete the Fraud's configuration. - Fabric
Delete the Fraud's configuration
cURL
curl --request DELETE \
--url https://prod01.oms.fabric.inc/api/v2/configurations/fraud-config/{processName}/{serviceName} \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/configurations/fraud-config/{processName}/{serviceName}"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'DELETE',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/configurations/fraud-config/{processName}/{serviceName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Possible Response Status Codes
- 400
{
"message": "Bad Request"
}
- 404
{
"message": "Fraud Config not Found"
}
- 500
{
"message": "Internal Server Error"
}
Authorizations
- Authorization: String, required, Bearer authentication header of the form
Bearer <token>, where <token> is your auth token.
Headers
- x-site-context: String, required, a JSON object that contains source information such as account ID, channel ID, and others.
Path Parameters
- serviceName: String, required
- processName: String, required
Response
- 200: Fraud Configuration deleted.